# WRITE VECTOR OF INDEXES OF FEATURES USED.

write.ix <- function (ix,f)
{ write (ix, paste("ix.",f,sep=""), ncolumns=1)
}


# WRITE SUBSET OF DATA GIVEN BY FEATURE INDEXES.

write.data <- function (ix, f, trn.x=train.x, val.x=valid.x, tst.x=test.x)
{ if (!is.null(trn.x))
  { write (t(trn.x[,ix]), paste("train.data.",f,sep=""), ncolumns=length(ix))
  }
  if (!is.null(val.x))
  { write (t(val.x[,ix]), paste("valid.data.",f,sep=""), ncolumns=length(ix))
  }
  if (!is.null(tst.x))
  { write (t(tst.x[,ix]), paste("test.data.",f,sep=""),  ncolumns=length(ix))
  }
}
